%define name 	jack-rack
%define version 1.4.7
%define release %mkrel 1

Name: 		%{name}
Summary: 	LADSPA effects rack for JACK
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/jack-rack/%{name}-%{version}.tar.bz2
Patch:          jack-rack-undeprec.dif
URL:		http://jack-rack.sourceforge.net/
License:	GPL
Group:		Sound
BuildRequires:	ladspa-devel pkgconfig jackit-devel
BuildRequires:	gtk2-devel libgnomeui2-devel ImageMagick
BuildRequires:	chrpath desktop-file-utils
BuildRequires:	ecasound-devel ladcca-devel

%description
JACK Rack is an effects "rack" for the JACK low latency audio API. The rack
can be filled with LADSPA effects plugins. It's phat; it turns your computer
into an effects box.

%prep
%setup -q
%patch

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
chrpath -d %buildroot/%_bindir/%name

#menu

perl -pi -e 's,%{name}-icon.png,%{name}-icon,g' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="AudioVideo;Sequencer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/jack-rack-icon.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/jack-rack-icon.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/jack-rack-icon.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS BUGS COPYING ChangeLog NEWS TODO
%{_bindir}/%name
%{_bindir}/ecarack
%{_datadir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/dtds
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png





%changelog
* Wed Jan 02 2008 Emmanuel Andry <eandry@mandriva.org> 1.4.7-1mdv2008.1
+ Revision: 140795
- New version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Emmanuel Andry <eandry@mandriva.org> 1.4.6-1mdv2008.0
+ Revision: 81217
- remove icon extension in desktop file
- buildrequires ladcca-devel imagemagick
- New version
- drop old menu
- fix build with suse patch
- add ecasound support


* Sat Jan 27 2007 Emmanuel Andry <eandry@mandriva.org> 1.4.5-1mdv2007.0
+ Revision: 114355
- buildrequires desktop-file-utils
- New version 1.4.5
- Import jack-rack

* Mon Sep 04 2006 Emmanuel Andry <eandry@mandriva.org> 1.4.4-4mdv2007.0
- %%mkrel
- xdg menu

* Fri Apr 21 2006 Austin Acton <austin@mandriva.org> 1.4.4-3mdk
- URL (littletux)
- disable rpath (me)

* Sat Apr 01 2006 Austin Acton <austin@mandriva.org> 1.4.4-2mdk
- Rebuild

* Thu Aug 25 2005 Austin Acton <austin@mandriva.org> 1.4.4-1mdk
- 1.4.4
- source URL

* Sun Feb 06 2005 Austin Acton <austin@mandrake.org> 1.4.3-2mdk
- birthday
- fix summary
- configure 2.5

